%global srcname rq

Name:           python-%{srcname}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Simple, lightweight, library for creating background jobs, and processing them

License:        BSD
URL:            https://github.com/rq/rq
Source:         %{pypi_source}
# https://github.com/rq/rq/pull/1134
Source1:        https://raw.githubusercontent.com/rq/rq/master/LICENSE

BuildArch:      noarch

%global _description %{expand:
RQ (Redis Queue) is a simple Python library for queueing jobs
and processing them in the background with workers.
It is backed by Redis and it is designed to have a low barrier to entry.
It should be integrated in your web stack easily.}

%description %{_description}

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version} -p1
cp -a %{S:1} .
rm -vr *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{_bindir}/rq
%{_bindir}/rqinfo
%{_bindir}/rqworker
%{python3_sitelib}/rq-*.egg-info/
%{python3_sitelib}/rq/

%changelog
* Fri Sep 06 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Initial package
